Bug 209406 - deskutils/plasma-applet-playwolf: Fix build with libc++ 3.8.0
Summary: deskutils/plasma-applet-playwolf: Fix build with libc++ 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks: 208158
  Show dependency treegraph
 
Reported: 2016-05-09 21:04 UTC by Dimitry Andric
Modified: 2016-09-19 22:39 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jhale)


Attachments
Use Qt's own qFabs() in deskutils/plasma-applet-playwolf (1.49 KB, patch)
2016-05-09 21:04 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-05-09 21:04:53 UTC
Created attachment 170158 [details]
Use Qt's own qFabs() in deskutils/plasma-applet-playwolf

During the exp-run in bug 208158, it was found that deskutils/plasma-applet-playwolf gives errors with libc++ 3.8.0 [1]:

/wrkdirs/usr/ports/deskutils/plasma-applet-playwolf/work/playwolf/wolflabel.cpp:198:47: error: call to 'abs' is ambiguous
                m_animation->setDuration((2 * abs(x) + SPACING) * 150);
                                              ^~~

This is because the floating point version of abs() should be used, but the file does not include <math.h>, nor <cmath>.  Instead, make it use the Qt-specific function, qFabs(), from QtCore/qmath.h.

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/plasma-applet-playwolf-0.8.1_6.log
Comment 1 Jason E. Hale freebsd_committer 2016-09-19 22:39:35 UTC
Committed in r421307 by amdmi3.